Package org.eclipse.mat.parser.internal

## Class DominatorTree

- java.lang.Object
- - org.eclipse.mat.parser.internal.DominatorTree

    public class DominatorTree
    extends java.lang.Object

### Constructor Summary

Constructors
`DominatorTree()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `calculate​(SnapshotImpl snapshot, IProgressListener listener)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DominatorTree

    public DominatorTree()

### Method Detail

#### calculate

    public static void calculate​(SnapshotImpl snapshot,
                                 IProgressListener listener)
                          throws SnapshotException,
                                 java.io.IOException

Throws:
  `SnapshotException`
  `java.io.IOException`